import axios from '@/utils/request'

export function getResultDetailList(params) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterList",
    method: "get",
    params: params
  });
}

export function getResultOrderList(params) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterOrderList",
    method: "get",
    params: params
  });
}

export function getResultOrderDeptList(params) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterOrderDeptList",
    method: "get",
    params: params
  });
}

export function getResultOrderProductList(params) {
  return axios({
    url: "/udiwms/inout/resultDetail/getResultOrderProductList",
    method: "get",
    params: params
  });
}
export function getResultOrderProductOutList(params) {
  return axios({
    url: "/udiwms/inout/resultDetail/getResultOrderProductOutList",
    method: "get",
    params: params
  });
}

export function getResultOrderDeptSupList(params) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterOrderDeptSupList",
    method: "get",
    params: params
  });
}

export function getInvCountOrderSumList(params) {
  return axios({
    url: "/udiwms/inout/resultDetail/getInvCountOrderSumList",
    method: "get",
    params: params
  });
}

export function verifyTemplateFile(data) {
  return axios({
    url: "/udiwms/pdf/template/order/result/file",
    method: "post",
    data: data
  });
}

export function verifyTemplateFileLabel(data) {
  return axios({
    url: "/udiwms/pdf/templateLabel/order/result/file",
    method: "post",
    data: data
  });
}

export function printOrder(data) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterOrderPrint",
    method: "post",
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
    data: data
  });
}

export function printOrderDept(data) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterOrderPrintDept",
    method: "post",
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
    data: data
  });
}

export function printInvCountOrderSumList(data) {
  return axios({
    url: "/udiwms/inout/resultDetail/printInvCountOrderSumList",
    method: "post",
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
    data: data
  });
}

export function printOrderDeptSup(data) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterOrderPrintDeptSup",
    method: "post",
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
    data: data
  });
}


export function printOrderDeptProduct(data) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterOrderPrintDeptProduct",
    method: "post",
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
    data: data
  });
}

export function printOrderInvProducts(data) {
  return axios({
    url: "/udiwms/inout/resultDetail/printOrderInvProducts",
    method: "post",
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
    data: data
  });
}

export function printDev(data) {
  return axios({
    url: "/udiwms/inout/resultDetail/filterDevPrint",
    method: "post",
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
    data: data
  });
}


export function excelInoutImport(params) {
  return axios({
    url: "/udiwms/inout/resultDetail/exportExcel",
    method: "get",
    responseType: 'blob',
    params: params
  });
}

export function postExcelInoutImport(data) {
  return axios({
    url: "/udiwms/inout/resultDetail/selectExportExcel",
    method: "post",
    responseType: 'blob',
    data: data
  });
}


export function orderDeptProductOutExcelInoutImport(params) {
  return axios({
    url: "/udiwms/inout/orderDeptProductOut/exportExcel",
    method: "get",
    responseType: 'blob',
    params: params
  });
}

export function orderDeptProductOutPostExcelInoutImport(data) {
  return axios({
    url: "/udiwms/inout/orderDeptProductOut/selectExportExcel",
    method: "post",
    responseType: 'blob',
    data: data
  });
}
